CVE-2020-10378

NameCVE-2020-10378
DescriptionIn libImaging/PcxDecode.c in Pillow before 7.1.0, an out-of-bounds read can occur when reading PCX files where state->shuffle is instructed to read beyond state->buffer.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pillow (PTS)stretch4.0.0-4+deb9u1fixed
stretch (security)4.0.0-4+deb9u2fixed
buster5.4.1-2+deb10u2fixed
buster (security)5.4.1-2+deb10u1vulnerable
bullseye, sid7.2.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pillowsourcejessie(not affected)
pillowsourcestretch(not affected)
pillowsourcebuster5.4.1-2+deb10u2
pillowsource(unstable)7.2.0-1

Notes

[stretch] - pillow <not-affected> (Vulnerable code not present)
[jessie] - pillow <not-affected> (Vulnerable code not present)
https://github.com/python-pillow/Pillow/pull/4538
https://github.com/python-pillow/Pillow/pull/4506
https://github.com/python-pillow/Pillow/commit/124f4bb591e16212605d0e41c413ed53e242cba2 (Test)
Fixed by: https://github.com/python-pillow/Pillow/commit/6a83e4324738bb0452fbe8074a995b1c73f08de7
https://github.com/python-pillow/Pillow/commit/ada137eba5b605fd5aeff619c33bbf0e53af26ee (Test)
Fixed in 6.2.3 and 7.1.0

Search for package or bug name: Reporting problems